VehicleMonitorUtil = {}

function VehicleMonitorUtil:keyOf(table, value)
  for k, v in pairs(table) do
    if v == value then
      return k
    end
  end

  return nil
end

function VehicleMonitorUtil:cycleValue(idx, count)
  return idx + 1 > count and 1 or idx + 1
end

function VehicleMonitorUtil:tableLength(table)
  local count = 0

  for _ in pairs(table) do
    count = count + 1
  end

  return count
end

function VehicleMonitorUtil:hasValue(table, value)
  for _, v in pairs(table) do
    if v == value then
      return true
    end
  end

  return false
end

function VehicleMonitorUtil:customLog(text)
  print("[Vehicle Monitor] " .. text)
end

function VehicleMonitorUtil:customDebugLog(table, depth)
  depth = depth or 1

  print("---start---")
  DebugUtil.printTableRecursively(table, " ", 0, depth)
  print("---end---")
end
